Bug 510892 - It would be nice for publican packages to have a "make rpm" target.
It would be nice for publican packages to have a "make rpm" target.
Status: CLOSED NEXTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All All
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 03:05 EDT by Robert P. J. Day
Modified: 2010-11-23 23:17 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 19:19:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2009-07-12 03:05:05 EDT
Is there any chance of adding a "make rpm" target to publican-related packages?  It would seem like a fairly trivial thing to do.
Comment 1 Jeff Fearn 2009-08-10 19:19:03 EDT
In Beta package action has an option --binary, will be available after change over.

$ publican package --help
package
    Package a language for shipping

        Options:
        --lang=<LANG>             The language the XML will be written in
        --desktop                 Create desktop instead of web package
        --brew                    Push SRPM to brew
        --scratch                 Use scratch instead of tag build.
        --short_sighted           Create package without using version in package name
        --binary                  Build binary RPM when running package

Note You need to log in before you can comment on or make changes to this bug.